%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jaspi-1.1-api
Version:          1.0.0
Release:          %mkrel 1
Group:            Development/Java
Summary:          JBoss Java Authentication SPI for Containers 1.1 API
License:          CDDL or GPLv2 with exceptions
URL:              https://github.com/jboss/jboss-jaspi-api_spec
Source0:          https://github.com/jboss/jboss-jaspi-api_spec/archive/jboss-jaspi-api_1.1_spec-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:	  noarch

%description
The Java Authentication SPI for Containers 1.1 API classes

%package javadoc
Summary:	Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jaspi-api_spec-jboss-jaspi-api_1.1_spec-%{namedversion}

# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Wed May 17 2017 neoclust <neoclust> 1.0.0-1.mga6
+ Revision: 1102678
- New version 1.0.0.Final
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.0-0.4.Beta1.1.mga6
+ Revision: 977154
- sync package jboss-jaspi-1.1-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 1.0.0-0.Beta1.1.mga5
+ Revision: 806483
- Mageify
- imported package jboss-jaspi-1.1-api


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.2.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 21 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Beta1
- Initial packaging

